import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'zeo-collect' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ZeoCollect = NativeModules.ZeoCollect ? NativeModules.ZeoCollect : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function setEventNameProperties(eventName) {
  return ZeoCollect.setEventNameProperties(eventName);
}
export function setEventProperties(eventName, eventProp) {
  return ZeoCollect.setEventProperties(eventName, eventProp);
}
export function setInstantEventNameProperties(eventName) {
  return ZeoCollect.setInstantEventNameProperties(eventName);
}
export function setInstantEventProperties(eventName, eventProp) {
  return ZeoCollect.setInstantEventProperties(eventName, eventProp);
}
export function setUserIdentities(userProp) {
  return ZeoCollect.setUserIdentities(userProp);
}
export function setUserProperties(userProp) {
  return ZeoCollect.setUserProperties(userProp);
}
export function setPageProperties(userProp) {
  return ZeoCollect.setPageProperties(userProp);
}
export function unsetUserIdentities() {
  return ZeoCollect.unsetUserIdentities();
}
export function deInitiate() {
  return ZeoCollect.deInitiate();
}
export function reInitialize() {
  return ZeoCollect.reInitialize();
}
export function setConsent(consent) {
  return ZeoCollect.setConsent(consent);
}
export function addAskForConsentListener(cb) {
  return ZeoCollect.addAskForConsentListener(cb);
}
export function getZI(cb) {
  return ZeoCollect.getZI(cb);
}
export function resetZI() {
  return ZeoCollect.resetZI();
}
export function initialiseSDK(options) {
  ZeoCollect.initalizeBySettingOptions(options);
}
//# sourceMappingURL=index.js.map